<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Fexa
 */

if(is_page()){
    global $post; 
    $ftr = get_post_meta($post->ID,'_theme_core_footer_style',true);
    $fexa_footer = ($ftr) ? $ftr : Fexa::fexa_footer_style();
    $ftbdr = get_post_meta($post->ID,'_theme_core_footer_top_border',true);
    $fexa_footer_top_border = (isset($ftbdr)) ? $ftbdr : Fexa::fexa_footer_top_border();
}else{
    $fexa_footer = Fexa::fexa_footer_style();
    $fexa_footer_top_border = Fexa::fexa_footer_top_border();
}
get_template_part('footers/footer',$fexa_footer);

?>
 

<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
