<?php 
require_once get_template_directory() . '/inc/own/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'fexa_register_required_plugins' );
 
function fexa_register_required_plugins() { 
	$plugins = array(
		array(
			'name'               => esc_html__('Fexa Core','fexa'),
			'slug'               => 'fexa-core',
			'source'             => 'https://demo.themebeer.com/tgmpa-plugins/fexa-core.2.0.1.zip',  
			'required'           => true,
		),
		array(
			'name'               => esc_html__('WPBakery Page Builder','fexa'),
			'slug'               => 'js_composer',  
			'source'             => 'https://demo.themebeer.com/tgmpa-plugins/js_composer.zip',  
			'required'           => true,
		),
		array(
			'name'      => esc_html__('Elementor','fexa'),
			'slug'      => 'elementor',
			'required'  => true,
		),
		array(
			'name'      => esc_html__('Redux FrameWork','fexa'),
			'slug'      => 'redux-framework',
			'required'  => true,
		),
		array(
			'name'      => esc_html__('One Click Demo Import','fexa'),
			'slug'      => 'one-click-demo-import',
			'required'  => false,
		),
		array(
			'name'      => esc_html__('CMB2','fexa'),
			'slug'      => 'cmb2',
			'required'  => true,
		),
		array(
			'name'      => esc_html__('Contact Form 7','fexa'),
			'slug'      => 'contact-form-7',
			'required'  => true,
		), 
	);

	$config = array(
		'id'           => 'fexa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	);

	tgmpa( $plugins, $config );
}
